package templates

import (
	"fmt"
	"net/http"
)

func (T Templates) Err404(w http.ResponseWriter, r *http.Request) {
	fmt.Println("404: " + r.URL.Path)
	e := T.internalNewSplain(
		"File Not Found",
		"Couldn't find that. Maybe it's us?",
		"Let us know if it happens a lot.",
		404,
	)
	T.internalTemplateErrorSplash(w, r, e)
}
